---
title: scroll-padding-inline-start
slug: Web/CSS/scroll-padding-inline-start
tags:
  - CSS
  - CSS Property
  - Web
  - 'recipe:css-property'
  - scroll-padding-inline
  - scroll-padding-inline-start
---
<div>{{CSSRef}}</div>

<p>The <code>scroll-padding-inline-start</code> property defines offsets for the start edge in the inline dimension of the <dfn>optimal viewing region</dfn> of the scrollport: the region used as the target region for placing things in view of the user. This allows the author to exclude regions of the scrollport that are obscured by other content (such as fixed-positioned toolbars or sidebars) or to put more breathing room between a targetted element and the edges of the scrollport.</p>

<div>{{EmbedInteractiveExample("pages/css/scroll-padding-inline-start.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css notranslate">/* Keyword values */
scroll-padding-inline-start: auto;

/* &lt;length&gt; values */
scroll-padding-inline-start: 10px;
scroll-padding-inline-start: 1em;
scroll-padding-inline-start: 10%;

/* Global values */
scroll-padding-inline-start: inherit;
scroll-padding-inline-start: initial;
scroll-padding-inline-start: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt><code><var>&lt;length-percentage&gt;</var></code></dt>
 <dd>An inwards offset from the inline start edge of the scrollport, as a valid length or a percentage.</dd>
 <dt><code>auto</code></dt>
 <dd>The offset is determind by the user agent. This will generally be 0px, but a user agent is able to detect and do something else if a non-zero value is more appropriate.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS Scroll Snap Points", "#propdef-scroll-padding-inline-start", "scroll-padding-inline-start")}}</td>
   <td>{{Spec2("CSS Scroll Snap Points")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("css.properties.scroll-padding-inline-start")}}</p>

<h2 id="See_also">See also</h2>

<ul>
  <li><a href="/en-US/docs/Web/CSS/CSS_Scroll_Snap">CSS Scroll Snap</a></li>
  <li><a href="https://developers.google.com/web/updates/2018/07/css-scroll-snap">Well-Controlled Scrolling with CSS Scroll Snap</a></li>
</ul>
